1. 23 Mar, 2009 1 commit
    • Hans Breuer's avatar
      a new renderer implementation which outputs Dia's native format, but · bc93184a
      Hans Breuer authored
      2009-03-23  Hans Breuer  <hans@breuer.org>
      
      	* plug-ins/python/diastddia.py : a new renderer implementation which 
      	outputs Dia's native format, but restricted to "Standard - *"-objects.
      	Initial version: buggy and incomplete (e.g. bug #576468).
      	* plug-ins/python/Makefile.am : added to EXTRA_DIST
      	* plug-ins/python/pydia-render.c : if the PyDia renderer does not
      	implement an optional method just fall back to the base classes
      	render implmentation. Also (try to) warn about missing, not optional
      	methods with PyErr_Warn(), but can't find these messages yet.
      
      	* plug-ins/python/diasvg.py : self.line_width was not initialized
      
      	* samples/UML-demo.dia : converted to be readable, not a single line
      	of uncpompresed XML.
      
      
      svn path=/trunk/; revision=4329
      bc93184a
  2. 15 Jul, 2003 1 commit
  3. 20 Mar, 2003 1 commit
  4. 18 May, 2002 2 commits
  5. 15 Aug, 2001 1 commit
    • Cyrille Chepelov's avatar
      used the libxml1/libxml2 compatibility macros as taught by · 7c87fdd8
      Cyrille Chepelov authored
      	* app/app_procs.c:
      	* app/load_save.c:
      	* lib/dia_xml.c:
      	* lib/plug-ins.c:
      	* lib/sheet.c:
      	* objects/custom/shape_info.c:
      	* plug-ins/shape/shape-export.c:
      	* plug-ins/svg/render_svg.c: used the libxml1/libxml2
      	compatibility macros as taught by http://xmlsoft.org/upgrade.html;
      	removed xmlKeepBlanksDefault(0) in favour for proper
      	xmlIsBlankNode() testing. Lots of other fixups to use the
      	"libxml1.5" (libxml2 parser embedded in recent libxml1), and to
      	make libxml1 output correct files.
      
      	* configure.in: use libxml2 (>= 2.3.9) if it's found, or
      	libxml1 (>= 1.8.14). Exactly one of these must be installed (devel
              packages). If both devel packages are found, the build will stop
      
              (Fredrik: please add a Build-Conflicts: on libxml2-dev for the moment)
      7c87fdd8
  6. 07 Feb, 2000 1 commit
  7. 28 Feb, 1999 1 commit
  8. 16 Jan, 1999 1 commit